require 'spec_helper'

describe 'dcm4chee::weasis' do
  let(:basedir)    { '/usr/local/dcm4chee' }
  let(:deploy_dir) { "#{basedir}/server/default/deploy" }
  let(:params)     { {:basedir => basedir} }

  it { should contain_dcm4chee__download('weasis.war').with(
    :prefix => deploy_dir,
    :url    => 'http://downloads.sourceforge.net/project/dcm4che/Weasis/1.2.1/weasis.war'
  )}

  it { should contain_dcm4chee__download('weasis-i18n.war').with(
    :prefix => deploy_dir,
    :url    => 'http://downloads.sourceforge.net/project/dcm4che/Weasis/1.2.1/weasis-i18n.war'
  )}

  it { should contain_dcm4chee__download('dcm4chee-web-weasis.jar').with(
    :prefix => deploy_dir,
    :url    => 'http://downloads.sourceforge.net/project/dcm4che/Weasis/dcm4chee-web3/3.0.2/dcm4chee-web-weasis.jar'
  )}

  it { should contain_dcm4chee__download('weasis-pacs-connector.war').with(
    :prefix => deploy_dir,
    :url    => 'http://downloads.sourceforge.net/project/dcm4che/Weasis/dcm4chee-web3/3.0.2/weasis-pacs-connector.war'
  )}

  it { should contain_notify('postinstall').with(
    :message => %r{http://www\.dcm4che\.org/confluence/display/WEA/Installing\+Weasis\+in\+DCM4CHEE}
  )}
end
